#ifndef LAYER_H
#define LAYER_H

#include <QString>
#include <QPainterPath>
#include <QColor>

class Layer
{
public:
	QString  name;
	QPainterPath path;
	QColor color;
    int*   size;
    float*   yBottom;
    float*   yTop;
    int      rgb;
    int      onset;
    int      end;
    float    sum;
    float    volatility;
    Layer(QString name, int* size, int sizeLength);
    Layer();
};

#endif // LAYER_H
