#include <QtGui/QMessageBox>
#include <QtGui/QFileDialog>
#include <Qt/qmap.h>
#include "ui_TFpopupui.h"
#include "TFWidget.h"


class TFpopup : public QDialog, protected Ui_Dialog
{
	Q_OBJECT
public:
	TFpopup(QWidget* parent = 0);
	TFWidget *transFunc;

public slots:
		void addMode();
		void delMode();
		void closePopup();
		void resetTF();
		void saveTF();
		void loadTF();
		void setVol();
		void setOnset();
		void setEnd();
		void setSum();

signals:
		void sendFunction(float* data);
		void changeColorCriterion(int i);
		void toggled2D(bool on);

};