#ifndef GRAPHICSSCENE_H
#define GRAPHICSSCENE_H
#include <QGraphicsScene>
#include <QGraphicsSceneMouseEvent>
#include <QTransform>
#include <QPainterPath>
#include <QMap>
#include <QGraphicsItem>
#include "Layer.h"
using namespace std;

class GraphicsScene : public QGraphicsScene
{
	Q_OBJECT
public:
	GraphicsScene( QObject *parent = 0);
	QMap<QGraphicsItem*, Layer> pathLookupMap;

protected:
	void mousePressEvent ( QGraphicsSceneMouseEvent * mouseEvent );

signals:
	void mousePos(int, Layer);
};
#endif // GRAPHICSSCENE_H